Deskhero Developer Hub
Back to deskhero.com
Notifications

Group settings

Updates the calling User's email and in app notification preferences (new ticket, ticket reply and SLA alert) for a single group they are a member of.

PUT /api/{tenant:minlength(2)}/v{version:apiVersion}/notifications/group_settings
Authorisation
Minimum role: USER

Request arguments

Name Type Source
inputDTO_notification_groupBody
Request body example

Response

Status
200 (OK)
Type
DTO_notification_group
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_notification_group
NameTypeReadOnlyDescription
new_ticket_emailBooleanNew ticket email
new_ticket_inappBooleanNew ticket inapp
reply_ticket_emailBooleanReply ticket email
reply_ticket_inappBooleanReply ticket inapp
new_ticketDTO_notification_channelNew ticket
reply_ticketDTO_notification_channelReply ticket
sla_alertDTO_notification_channelA ticket in this group is about to blow (or has blown) an SLA deadline. Only sent when the workspace has SLA.
idInt32Id
nameStringName
DTO_notification_channel
NameTypeReadOnlyDescription
emailBooleanEmail
inappBooleanInapp

Generated Aug 4, 2026 18:37